commit:     167aa0c7939818b8f27c44eddf745ccd40b2fcfd
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon May  4 08:13:24 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon May  4 08:34:36 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=167aa0c7

dev-python/pycurl: Rebuild test libs for current platform

Bug: https://bugs.gentoo.org/720906
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pycurl/pycurl-7.43.0.5.ebuild | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/dev-python/pycurl/pycurl-7.43.0.5.ebuild 
b/dev-python/pycurl/pycurl-7.43.0.5.ebuild
index 83c00755199..4bfe4dc0519 100644
--- a/dev-python/pycurl/pycurl-7.43.0.5.ebuild
+++ b/dev-python/pycurl/pycurl-7.43.0.5.ebuild
@@ -59,6 +59,14 @@ python_configure_all() {
        export PYCURL_SSL_LIBRARY=${CURL_SSL/libressl/openssl}
 }
 
+src_test() {
+       # upstream bundles precompiled amd64 libs
+       rm tests/fake-curl/libcurl/*.so || die
+       emake -C tests/fake-curl/libcurl
+
+       distutils-r1_src_test
+}
+
 python_compile() {
        python_is_python3 || local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
        distutils-r1_python_compile

Reply via email to